ru.bitel.oss.systems.inventory.resource.common.bean

## Class Configuration

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.oss.systems.inventory.resource.common.bean.Configuration

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem

      public class Configuration
      extends IdTitle

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Configuration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getModifyTime()`
    `int` | `getUserId()`
    `java.lang.String` | `getUserTitle()`
    `void` | `setModifyTime(java.util.Date changeTime)`
    `void` | `setUserId(int userId)`
    `void` | `setUserTitle(java.lang.String userTitle)`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### Configuration

          public Configuration()

  - ### Method Detail

    - #### getModifyTime

          public java.util.Date getModifyTime()

    - #### setModifyTime

          public void setModifyTime(java.util.Date changeTime)

    - #### getUserId

          public int getUserId()

    - #### setUserId

          public void setUserId(int userId)

    - #### getUserTitle

          public java.lang.String getUserTitle()

    - #### setUserTitle

          public void setUserTitle(java.lang.String userTitle)